Bug 585289 - [abrt] crash in gawk-3.1.7-1.fc12: Process /bin/gawk was killed by signal 11 (SIGSEGV)
[abrt] crash in gawk-3.1.7-1.fc12: Process /bin/gawk was killed by signal 11 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
abrt_hash:e5fb98cafa68dd8e11f7e18a6b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 11:44 EDT by Andrew Vagin
Modified: 2016-11-24 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:31:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.86 KB, text/plain)
2010-04-23 11:44 EDT, Andrew Vagin
no flags Details

  None (edit)
Description Andrew Vagin 2010-04-23 11:44:47 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: awk '{print }'
component: gawk
executable: /bin/gawk
kernel: 2.6.32.10-90.fc12.x86_64
package: gawk-3.1.7-1.fc12
rating: 4
reason: Process /bin/gawk was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
How to reproduce: for i in `seq 8500 9000`; do bash -c "echo $i; ulimit -v $i; awk '{print $1}' &> /dev/null;"; done

comment
-----
I found that various aplications may crash in case of low resources. gawk is an example only.

The problem is in _nl_explode_name (it's called from _nl_find_locale). This function return mask in normal case and -1 (!!!!!) in case of errors.
Comment 1 Andrew Vagin 2010-04-23 11:44:49 EDT
Created attachment 408659 [details]
File: backtrace
Comment 2 Andrew Vagin 2010-04-23 11:47:15 EDT
this bug in glibc
Comment 3 d. johnson 2010-06-30 15:50:13 EDT
Can you reproduce this issue after updates?  (specifically, glibc-2.11.2-1.i686 and gawk-3.1.7-1.fc12.i686, but preferably all available updates)

Which resource is depleted in your test?  Can you attach dmesg output?

(Your example above does not crash here.)
Comment 4 Andrew Vagin 2010-06-30 17:32:33 EDT
My test case doesn't work now, but this bug isn't fixed. I see in code and it isn't changed.

* malloc returns NULL
* _nl_normalize_codeset returns NULL
* _nl_explode_name returns -1 and normalized_codeset = NULL
* _nl_find_locale calls _nl_make_l10nflist with mask = -1 and normalized_codeset = NULL
* _nl_make_l10nflist calls strlen(normalized_codeset) and crashed
Comment 5 d. johnson 2010-07-06 12:40:34 EDT
Do you have a test-case that demonstrates this issue or a patch to the code that corrects it?

Which resource is depleted in your test?  Can you attach dmesg output after this crashes?




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2010-11-03 12:28:25 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 10:31:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.